> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portfobit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List portfolios

> Requires `portfolio:read`; includes the system `global` portfolio when requested.



## OpenAPI

````yaml /openapi/portfobit-openapi.yaml get /portfolios
openapi: 3.1.0
info:
  title: Portfobit Open API
  version: 0.1.0
  description: >
    Public REST API for direct API clients, CI, scripts, service accounts,
    third-party agents, and developer integrations.

    Public REST requests use scoped Portfobit Open API keys. OAuth access tokens
    issued for the Portfobit MCP resource are not accepted by `/api/v1/*`
    endpoints.

    Portfobit is crypto-CEX-only. Financial values are decimal strings and
    timestamps are RFC 3339 UTC strings.

    The API never supports withdrawals, external-address transfers,
    cross-exchange transfers, or P2P transfers.
servers:
  - url: https://api.portfobit.com/api/v1
security:
  - bearerAuth: []
tags:
  - name: Context
  - name: Accounts
  - name: Portfolios
  - name: Valuation
  - name: Activity
  - name: Trading
  - name: Market data
  - name: Support
paths:
  /portfolios:
    get:
      tags:
        - Portfolios
      summary: List portfolios
      description: >-
        Requires `portfolio:read`; includes the system `global` portfolio when
        requested.
      operationId: listPortfolios
      parameters:
        - $ref: '#/components/parameters/Tag'
        - $ref: '#/components/parameters/AccountIdQuery'
        - $ref: '#/components/parameters/IncludeGlobal'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          $ref: '#/components/responses/PortfolioListResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    Tag:
      name: tag
      in: query
      schema:
        type: string
      description: Exact, case-sensitive tag filter.
    AccountIdQuery:
      name: account_id
      in: query
      schema:
        type: string
      description: Restrict results to one connected CEX account.
    IncludeGlobal:
      name: include_global
      in: query
      schema:
        type: boolean
        default: true
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
    Offset:
      name: offset
      in: query
      schema:
        type: integer
        minimum: 0
        default: 0
  responses:
    PortfolioListResponse:
      description: Portfolio list response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PortfolioListResponseSchema'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    PortfolioListResponseSchema:
      type: object
      required:
        - data
        - global
        - meta
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - name
              - base_currency
              - tags
              - account_ids
              - matched_account_count
              - subscription_access
              - is_system
            properties:
              id:
                type: string
              name:
                type: string
              base_currency:
                type: string
              tags:
                type: array
                items:
                  type: string
              account_ids:
                type: array
                items:
                  type: string
              matched_account_count:
                type: integer
              subscription_access:
                type: string
              is_system:
                type: boolean
        global:
          type: object
          required:
            - id
            - name
            - is_system
          properties:
            id:
              type: string
            name:
              type: string
            is_system:
              type: boolean
        meta:
          type: object
          required:
            - total
            - limit
            - offset
            - has_next
            - request_id
            - generated_at
          properties:
            total:
              type: integer
            limit:
              type: integer
            offset:
              type: integer
            has_next:
              type: boolean
            request_id:
              type: string
            generated_at:
              type: string
              format: date-time
      example:
        data:
          - id: pf_01J2K7M9N3
            name: Q3_Quant_Hedge
            base_currency: USD
            tags:
              - Arbitrage
            account_ids:
              - acc_01H8XFK9A
            matched_account_count: 1
            subscription_access: available
            is_system: false
        global:
          id: global
          name: Global
          is_system: true
        meta:
          total: 1
          limit: 50
          offset: 0
          has_next: false
          request_id: req_01J2K8B7QW
          generated_at: '2026-08-07T08:00:01Z'
    ErrorEnvelope:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          $ref: '#/components/schemas/Error'
        meta:
          $ref: '#/components/schemas/Meta'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
    Meta:
      type: object
      required:
        - request_id
        - generated_at
      properties:
        request_id:
          type: string
        generated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Portfobit Open API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.